

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from login") or die(mysql_error());
        
        //$sql_cartera = mysql_query("select * from cartera where estado_cartera='1' order by nombre asc") or die(mysql_error());
	?>
<style>
th,td{
	@font-size:18px;
}

th{
	text-align:center;
}
</style>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:18px;
  }
</style>

<div class="container"> 
 <div class="row">
    
      <div class="col-md-12">
 
				        <a class="btn  btn-success mb-2 " href="javascript:void(0)" onClick="modalUsuario()"><i class="fa fa-plus"></i> Registrar un nuevo usuario</a><br>


	   <script type="text/javascript">
          function modalUsuario(){
            $("#modalUsuario").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <div class="table-responsive mt-2">
          <table class="table table-sm  table-hover table-striped">
           
              <th width="100"># Usuario</th>
              <th>Nombre/Apell. </th>

             
            
              <th width="45">Opciones</th>
           
            <tbody>
           <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_usuario"]?></td>
                <td><?php echo $r["nombre"]?></td>

               <td ><a class="text-info mb-2" href="#modalUsuario" data-toggle="modal" onClick='ver(<?php echo $r["id_usuario"]?>)'><i class="fa fa-edit"></i> Editar</a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>

	    </div>
		 </div>
		  </div>
    </div>
</div>
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalUsuario" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-key"></i> Registro de usaurio</h3>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
			  
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Clave</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="clave" name="clave" value="">
          </div>
        </div>

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Activo</strong></label>
          <div class="col-sm-1">
            <input autocomplete="off" type="checkbox"  id="estado" name="estado" value="1" class="mt-2">
          </div>
        </div>

         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nivel</label>
          <div class="col-sm-9">
            <select onclick="" class="form-control  mb-2 auto-save" id="nivel" name="nivel">
                                    <option value="" selected disabled>Sel. nivel de acceso</option>
                                    <option value="Master">Administrador</option>
                                    <option value="Cajero">Cajero</option>
                                    <option value="Vendedor">Lavador</option>
									<option value="Vendedor">Vendedor</option>
									
                                    <option value="Almacen">Almacen</option>
									 <option value="Cobrador">Cobrador</option>

           </select>
          </div>
    
        </div>

          
			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_usuario()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_usuario="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from login where id_usuario='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_usuario= rs.data[i].id_usuario;             
                    $("#nombre").val(rs.data[i].nombre);
                    $("#clave").val(rs.data[i].clave);
                    $("#id").val(rs.data[i].id_usuario);
                    var estado = (rs.data[i].estado_usuario)
                   /*
				   if(estado=="1"){  
                      $("#estado").prop("checked",true);
                      }else{
                        $("#estado").prop("checked",false);
                      }
					 */
                    $("#nivel option[value='"+rs.data[i].nivel+"']").prop('selected', true);
                  
                    ///$("#cartera option[value='"+rs.data[i].cartera+"']").prop('selected', true);
                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_usuario(){
     if(!confirm("Seguro(a) que desea registrar este usuario?")){return;}                   
    
     var nombre = $("#nombre").val();
     //var cartera = $("#cartera").val();
     var clave = $("#clave").val();
     var nivel = $("#nivel").val();
     var estado = $("#estado").val();
     id_usuario = $("#id").val();
     ///if( $('#estado').prop('checked') ) {
    /////   estado="1";
   //// }else{
      estado="0";
   //// }



     if(clave=="" || nombre=="" || nivel==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_usuario==""){
            sql="INSERT INTO login set ";
            sql+="nombre='"+nombre+"'";
            sql+=", clave='"+clave+"'";
            sql+=", nivel='"+nivel+"'";
            //sql+=", cartera='"+cartera+"'";
            ///sql+=", estado_usuario='"+estado+"'"; 
           

        }else{
            sql="UPDATE login set";
            sql+=" nombre='"+nombre+"'";
            sql+=", clave='"+clave+"'";
            sql+=", nivel='"+nivel+"'";
            ///sql+=", cartera='"+cartera+"'";
           /// sql+=", estado_usuario='"+estado+"'"; 
            sql+=" WHERE id_usuario='"+id_usuario+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalUsuario").modal('hide');
        noti("success","Registro grabado con exito","success");
        $("#delete").hide();
        dstry();
        id_usuario="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_usuario==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from login where id_usuario='"+id_usuario+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalUsuario").modal('hide');
        noti("success","Registro eliminado con exito","Ok");
        $("#delete").hide();
        dstry();
        id_usuario="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



            ///$(".table").DataTable();
         
        </script>

